Loading...
Searching...
No Matches
caf::detail::tl_binary_forall< ListA, ListB, Pred > Struct Template Reference

Tests whether a binary predicate holds for all corresponding elements of ListA and ListB. More...

`#include <type_list.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class ListA, class ListB, template< class, class > class Pred>
struct caf::detail::tl_binary_forall< ListA, ListB, Pred >

Tests whether a binary predicate holds for all corresponding elements of ListA and ListB.

## Member Data Documentation

## value

template<class ListA, class ListB, template< class, class > class Pred>

bool caf::detail::tl_binary_forall< ListA, ListB, Pred >::value

static constexpr

Initial value:
=
tl_size<ListA>::value == tl_size<ListB>::value
&& tl_forall2_impl<ListA, ListB, Pred>::value
caf::detail::tl_size
Gets the number of template parameters of List.
Definition type_list.hpp:101

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp